%define major     1.2.0
%define libname   libxine2
%define libvers   1.2.0

%define skindir    %{_datadir}/xine/skins
%define deskdir    %{_datadir}/xine/desktop

%define ginstall install -c

Name:           xine-ui
Summary:        A Free Audio/Video Player
Summary(cs):    Volnì ¹iøitelný audio/video pøehrávaè
Summary(de):    Ein freies Audio- und Video-Abspielprogramm
Version:        0.99.6
Release:        6.2
License:        GPL
Group:          Productivity/Multimedia/Video/Players
URL:            http://xine.sourceforge.net
Source0:        xine-ui-%{version}.tar.bz2
Source1:        _xine.m4
Source2:        _xine.m4_alt
Patch0:         xine-ui-lirc.diff
Patch1:         xine-ui-curl.diff
Requires:       %{libname} >= %{libvers}
BuildRequires:  xorg-x11-libs
BuildRequires:  libdirac-devel
BuildRequires:  %{libname} >= %{libvers}
BuildRequires:  %{libname}-devel >= %{libvers}
BuildRequires:  libcaca-devel
BuildRequires:  curl-devel >= 7.10
BuildRequires:  libpng-devel
BuildRequires:  freetype2-devel
BuildRequires:  update-desktop-files
BuildRequires:  readline-devel
BuildRequires:  slang-devel
BuildRequires:  pkgconfig
BuildRequires:  gcc
BuildRequires:  ncurses-devel
BuildRequires:  autoconf automake
%if %suse_version > 1110
BuildRequires:  lirc-devel
%else
BuildRequires:  lirc
%endif
%ifarch %ix86 k6 k7 athlon x86_64 amd64 ia32e
%if %suse_version <= 1100
BuildRequires:  libnvtv-devel
%endif
%endif
BuildRequires:  xorg-x11-devel
BuildRequires:  libjpeg-devel
BuildRoot:      %{_tmppath}/%{name}-buildroot

%description
xine is a fully-featured free audio/video player for unix-like systems which
uses libxine for audio/video decoding and playback. For more informations on
what formats are supported, please refer to the libxine documentation.

%description -l cs
xine je velmi atraktivní volnì ¹iøitelný audio/video pøehrávaè pro unixovské
systémy, který pou¾ívá libxine pro dekódování zvuku a videa a pøehrávání.
Více informací o tom, jaké formáty jsou podporovány získáte v dokumentaci
od libxine.

%description -l de
xine ist ein freies Audio- und Video-Abspielprogramm für unixartige Systeme
mit umfassenden Funktionen. Zur Audio- und Videodekodierung und Wiedergabe
werden die xine-Bibliotheken aus libxine verwendet. Weitere Informationen
über die unterstützten Formate entnehmen Sie in der Dokumentation zu libxine.



%prep
%setup -q
%if %suse_version > 1110
cp  %{SOURCE1} m4/_xine.m4
%patch0 -p1
%else
cp  %{SOURCE2} m4/_xine.m4
%endif
%if %suse_version >= 1210
%patch1 -p1
%endif
%ifarch x86_64
sed -i -e "s/lirc_libprefix=\"\$LIRC_PREFIX\/lib\"/lirc_libprefix=\"\$LIRC_PREFIX\/lib64\"/g" \
       -e "s/for llirc in \$lirc_libprefix \/lib \/usr\/lib \/usr\/local\/lib; do/for llirc in \$lirc_libprefix \/lib64 \/usr\/lib64 \/usr\/local\/lib64; do/g" m4/_xine.m4
%endif

%build
export CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing"
export XINE_DOCPATH="%{_docdir}/xine-ui"

#if [ ! -f configure ]; then
   NO_CONFIGURE=1 ./autogen.sh
#fi

#
# currently we do not use %%configure as it seems to cause trouble with
# certain automake produced configure scripts - depending on automake version.
#
./configure --build=%{_target_platform} --prefix=%{_prefix} \
	    --exec-prefix=%{_exec_prefix} --bindir=%{_bindir} \
	    --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} \
	    --datadir=%{_datadir} --includedir=%{_includedir} \
	    --libdir=%{_libdir} --libexecdir=%{_libexecdir} \
	    --localstatedir=%{_localstatedir} \
	    --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} \
	    --infodir=%{_infodir} --enable-vdr-keys

%{__make} %{?jobs:-j%{jobs}}

%install
%makeinstall
%{__mkdir_p} ${RPM_BUILD_ROOT}/%{_datadir}/applications/
%suse_update_desktop_file -i xine AudioVideo Player Video

%find_lang xine-ui
%find_lang xitk

cat xine-ui.lang xitk.lang > all.lang

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files -f all.lang
%defattr(-,root,root)
%doc %{_docdir}/*
%doc %{_datadir}/doc/xitk
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/xine
%{_datadir}/icons/hicolor/*/apps/xine.png
%{_datadir}/applications/xine.desktop
%{_datadir}/mime/packages/xine-ui.xml
%lang(de) %{_mandir}/de/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(es) %{_mandir}/es/man1/*
%dir %{_mandir}/pl
%dir %{_mandir}/pl/man1
%lang(pl) %{_mandir}/pl/man1/*
%{_mandir}/man1/*
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/16x16
%dir %{_datadir}/icons/hicolor/16x16/apps
%dir %{_datadir}/icons/hicolor/22x22
%dir %{_datadir}/icons/hicolor/22x22/apps
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/apps
%dir %{_datadir}/icons/hicolor/48x48
%dir %{_datadir}/icons/hicolor/48x48/apps

%changelog
* Sun Feb  5 2012 cs@linux-administrator.com
- re-import
